### Method

# Gegl Nodehas_pad

#### Declaration [src]

    gboolean
    gegl_node_has_pad (
      GeglNode* node,
      const gchar* pad_name
    )

#### Description [src]

Returns TRUE if the node has a pad with the specified name.

#### Parameters

`pad_name`

  Type: `const gchar*`

  The pad name we are looking for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

No description available.